import Method from "parsegraph-method";
export default class IntervalTimer {
    _delay: number;
    timerId: any;
    listener: Method;
    fire: Function;
    constructor();
    /**
     * Sets the delay, in milliseconds.
     *
     * @param {number} ms the new delay, in millisecond
     */
    setDelay(ms: number): void;
    /**
     * Gets the delay, in milliseconds.
     *
     * @return {number} the delay in milliseconds
     */
    delay(): number;
    schedule(): void;
    scheduled(): boolean;
    isScheduled(): boolean;
    setListener(listener: Function, thisArg?: any): void;
    cancel(): void;
}
//# sourceMappingURL=IntervalTimer.d.ts.map